lua << EOF
require('lspconfig').rust_analyzer.setup{
    settings = {
        ["rust-analyzer"] = {
            cargo = {
                features = "god",
                allFeatures = false,
                noDefaultFeatures = true,
                runBuildScripts = false,
                loadOutDirsFromCheck = false,
                jobs = 2
            },
            procMacro = {
                enable = false
            },
            diagnostics = {
                disabled = {"inactive-code"},
                experimental = true
            },
            lens = {
                enable = false
            },
            inlayHints = {
                enable = false
            }
        }
    }
}
EOF

" require.('lspconfig').rust_analyzer.setup{
"   cmd = { "$HOME/.local/bin/rust-analyzer" },
" }

" Echo confirmation in Vimscript
echo "Project-specific .nvimrc loaded!"
